# $Revision: 1.7 $, $Date: 2009/03/02 15:11:50 $
#
# Conditional build:
%bcond_with	tests		# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	SQL
%define	pnam	Abstract-Limit
Summary:	SQL::Abstract::Limit - portable LIMIT emulation
Summary(pl.UTF-8):	SQL::Abstract::Limit - przenośna emulacja LIMIT
Name:		perl-SQL-Abstract-Limit
Version:	0.141
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d8dde39b1d7910ddf5457108c02be552
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-DBI
BuildRequires:	perl-SQL-Abstract >= 1.20
BuildRequires:	perl-Test-Exception
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Portability layer for LIMIT emulation.

%description -l pl.UTF-8
Warstwa przenośności dla emulacji LIMIT.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/SQL/Abstract/Limit.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-SQL-Abstract-Limit.spec,v $
Revision 1.7  2009/03/02 15:11:50  radek
- version 0.141

Revision 1.6  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.4  2006/10/24 21:02:46  ankry
- ver. 0.12

Revision 1.3  2005/10/30 18:59:59  glen
- disable tests by default as they fail

Revision 1.2  2005/10/12 22:20:35  qboosh
- pl

Revision 1.1  2005/10/11 19:45:26  migo
- initial revisions (big help from pldcpan.pl)
